Summary:	Script-driven sound processing toolkit
Name:		snack
Version: 	2.2.10
Release: 	%mkrel 10
License: 	BSD
Group: 		Sound
URL: 		http://www.speech.kth.se/snack/
Source0:	http://www.speech.kth.se/~kare/%{name}%{version}.tar.bz2
# Fix underlinking
Patch0:		snack-2.2.10-underlinking.patch
Patch1:         snack-2.2.10-unity-linux-fix-roundf.patch
Patch2:         snack-2.2.10-unity-linux-gcc44.patch
Patch3:		snack-2.2.10-mdv-fix-string-format.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	tcl 
BuildRequires:  tk 
BuildRequires:  libogg-devel 
BuildRequires:  libvorbis-devel 
BuildRequires:  libx11-devel
BuildRequires:	python-devel 
BuildRequires:  dos2unix
BuildRequires:  tcl-devel
BuildRequires:  tk-devel

%description
Snack is a sound processing toolkit designed as an extension
to a scripting language. Snack currently works with the scripting
languages Tcl/Tk, Python, and Ruby.

Snack has commands to play, record, process, and visualize sound.
Snack provides high level sound objects, with flexible storage management,
and streaming support. It handles most common sound file formats.
The visualization canvas item types update in real-time and can output
postscript. The same scripts run on Unix (Linux, Solaris, HP-UX, IRIX,
FreeBSD, NetBSD), Macintosh, and Windows 95/98/NT/2000/XP.

%package -n tcl-%{name}
Summary:	Snack Sound Toolkit for Tcl
Group:		Sound
Requires:	tcl
Obsoletes:	%{mklibname snack} < 2.2.10-6mdv
Obsoletes:	%{mklibname snack -d} < 2.2.10-6mdv

%description -n tcl-%{name}
Snack Sound Toolkit for Tcl.

%package -n python-%{name}
Summary:	Snack Sound Toolkit for Python	
Group:		Sound
Requires:	tcl-%{name} = %{version}
Requires:	tkinter

%description -n python-%{name}
Snack Sound Toolkit for Python.

%prep
%setup -q -n %{name}%{version}
%patch0 -p1 -b .underlink
%patch1 -p1
%patch2 -p1
%patch3 -p0
chmod 644 COPYING README changes

%build
pushd unix
%configure2_5x \
	--with-tcl=%{_libdir} \
	--with-tk=%{_libdir} \
	--with-ogg-include=%{_includedir}/ogg \
	--with-ogg-lib=%{_libdir}
%make TCL_INCPATH=%{_includedir} TK_INCPATH=%{_includedir} CC="gcc %{optflags}" LDFLAGS="%{ldflags}"
%make TCL_INCPATH=%{_includedir} TK_INCPATH=%{_includedir} CC="gcc %{optflags}" LDFLAGS="%{ldflags}" libsnackogg.so
popd

%install
rm -rf %{buildroot}

chmod 644 doc/*
chmod 755 python/*.py
chmod 644 demos/tcl/*
chmod 755 demos/tcl/*.tcl
dos2unix demos/tcl/*.txt
rm -f demos/tcl/tclkit-linux-x86
chmod 644 demos/python/*
chmod 755 demos/python/*.py
dos2unix demos/python/*.txt

pushd unix
mkdir -p %{buildroot}%{tcl_sitearch}/%{name}%{version}
mkdir -p %{buildroot}%{py_puresitedir}
cp *.so %{buildroot}%{tcl_sitearch}/%{name}%{version}
install -m 0755 *.tcl %{buildroot}%{tcl_sitearch}/%{name}%{version}
popd

pushd python
python setup.py install --root=%{buildroot} --compile --optimize=2
popd

%clean
rm -rf %{buildroot}

%files -n tcl-%{name}
%defattr(-,root,root)
%doc changes COPYING doc/tcl-man.html demos/tcl/* doc/A* doc/C* doc/F* README doc/S*
%{tcl_sitearch}/%{name}%{version}

%files -n python-%{name}
%defattr(-,root,root)
%doc doc/python-man.html demos/python/*
%{py_puresitedir}/*





%changelog

* Thu Sep 29 2011 fwang <fwang> 2.2.10-10.mga2
+ Revision: 150234
- tighten br

  + wally <wally>
    - fix x86_64 build
    - use ldflags
    - rebuild for new tcl (mga#2369)

* Sun Jan 23 2011 pterjan <pterjan> 2.2.10-8.mga1
+ Revision: 35301
- imported package snack

